# $Revision: 1.32 $, $Date: 2007/01/19 12:00:32 $
%include	/usr/lib/rpm/macros.php
%define		_class		PHP
%define		_subclass	Beautifier
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - beautifier for PHP
Summary(pl):	%{_pearname} - upikszacz dla PHP
Name:		php-pear-%{_pearname}
Version:	0.1.11
Release:	2
Epoch:		0
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	4903b1dd1752b35010bdc19b3d81a584
Patch0:		%{name}-path_fix.patch
URL:		http://pear.php.net/package/PHP_Beautifier/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(tokenizer)
Requires:	php-common >= 3:5
Requires:	php-pear >= 4:1.0-7
Requires:	php-pear-Log >= 1.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Console/Getopt.*)' 'pear(Archive/Tar.*)'

%description
This program reformat and beautify PHP source code files
automatically.

In PEAR status of this package is: %{_status}.

%description -l pl
Ten program automatycznie przeformatuje i upikszy kod rdowy
aplikacji napisanych w PHP.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install
cp -a ./%{_bindir}/* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%attr(755,root,root) %{_bindir}/php_beautifier
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%{php_pear_dir}/data/%{_pearname}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PHP_Beautifier.spec,v $
Revision 1.32  2007/01/19 12:00:32  glen
- fixed deps; rel 2

Revision 1.31  2007/01/19 11:22:28  glen
- update to 0.1.11; updated License

Revision 1.30  2007/01/19 10:39:33  glen
- bzip2 extension is optional; rel 3

Revision 1.29  2006/11/26 14:11:30  glen
- rel 2: use php(extension) virtuals

Revision 1.28  2006/06/11 13:02:46  glen
- 0.1.10

Revision 1.27  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.26  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.25  2006/04/02 12:01:40  glen
- 0.1.8

Revision 1.24  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.23  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.22  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.21  2006/01/08 18:04:09  glen
- AutoReq: no for -tests

Revision 1.20  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.19  2005/10/06 18:53:30  glen
- updated to 0.1.7

Revision 1.18  2005/10/05 20:59:19  glen
- rel 2

Revision 1.17  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.16  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.15  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.14  2005/09/21 07:52:12  glen
- new pear build

Revision 1.13  2005/04/03 18:28:06  adamg
- updated to 0.1.4

Revision 1.12  2005/02/19 18:15:21  adamg
- updated to 0.1.3

Revision 1.11  2005/02/07 14:30:33  adamg
- updated to 0.1.2

Revision 1.10  2004/12/05 11:25:35  adamg
- added path_fix (fixes several paths in include/require calls)
- install missing files from Batch/Output and StreamWrapper dirs
- release 3

Revision 1.9  2004/12/04 14:09:10  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/10/31 22:10:47  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/10/09 06:51:08  adamg
- updated to 0.0.9

Revision 1.6  2004/08/07 14:31:08  adamg
- updated to 0.0.8

Revision 1.5  2004/07/08 20:22:23  ankry
- unification

Revision 1.4  2004/07/08 19:53:53  adamg
- updated to 0.0.7

Revision 1.3  2004/06/05 20:42:09  adamg
- Requires php5 (try/catch)

Revision 1.2  2004/06/05 20:39:28  adamg
- added php_beautifier binary
- fixed URL

Revision 1.1  2004/06/05 20:35:30  adamg
- new
